import request from '@/utils/requestTestdata'
import requests from '@/utils/request'

export function getAll(query) {
  return request({
    url: '/testdata/getAll',
    method: 'get',
    params: query
  })
}

export function getBankID() {
  return request({
    url: '/testdata/getBankID',
    method: 'get'
  })
}

export function getBankList() {
  return request({
    url: '/testdata/getBankList',
    method: 'get'
  })
}

export function getProvinceList() {
  return request({
    url: '/testdata/getProvinceList',
    method: 'get'
  })
}
// 绑定银行卡接口(2021-10-25)
export function bindingCard(data) {
  return requests({
    url: '/bind/card',
    method: 'post',
    data
  })
}
// 绑定银行卡接口(2021-10-25)
export function bindingAddress(data) {
  return requests({
    url: '/yxm/bind/address',
    method: 'post',
    data
  })
}
